package com.chenyang.nse.bussiness.performance_monitor.entity;

public class PerformanceMonitorDashBoardDetailEntity {
   String time;
   String desc;
   String sql;
   long timeDiff;
   String datasystemName;
   String datasystemAddr;

   public String getTime() {
      return this.time;
   }

   public String getDesc() {
      return this.desc;
   }

   public String getSql() {
      return this.sql;
   }

   public long getTimeDiff() {
      return this.timeDiff;
   }

   public String getDatasystemName() {
      return this.datasystemName;
   }

   public String getDatasystemAddr() {
      return this.datasystemAddr;
   }

   public void setTime(final String time) {
      this.time = time;
   }

   public void setDesc(final String desc) {
      this.desc = desc;
   }

   public void setSql(final String sql) {
      this.sql = sql;
   }

   public void setTimeDiff(final long timeDiff) {
      this.timeDiff = timeDiff;
   }

   public void setDatasystemName(final String datasystemName) {
      this.datasystemName = datasystemName;
   }

   public void setDatasystemAddr(final String datasystemAddr) {
      this.datasystemAddr = datasystemAddr;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorDashBoardDetailEntity)) {
         return false;
      } else {
         PerformanceMonitorDashBoardDetailEntity other = (PerformanceMonitorDashBoardDetailEntity)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$time = this.getTime();
            Object other$time = other.getTime();
            if (this$time == null) {
               if (other$time != null) {
                  return false;
               }
            } else if (!this$time.equals(other$time)) {
               return false;
            }

            Object this$desc = this.getDesc();
            Object other$desc = other.getDesc();
            if (this$desc == null) {
               if (other$desc != null) {
                  return false;
               }
            } else if (!this$desc.equals(other$desc)) {
               return false;
            }

            Object this$sql = this.getSql();
            Object other$sql = other.getSql();
            if (this$sql == null) {
               if (other$sql != null) {
                  return false;
               }
            } else if (!this$sql.equals(other$sql)) {
               return false;
            }

            if (this.getTimeDiff() != other.getTimeDiff()) {
               return false;
            } else {
               Object this$datasystemName = this.getDatasystemName();
               Object other$datasystemName = other.getDatasystemName();
               if (this$datasystemName == null) {
                  if (other$datasystemName != null) {
                     return false;
                  }
               } else if (!this$datasystemName.equals(other$datasystemName)) {
                  return false;
               }

               Object this$datasystemAddr = this.getDatasystemAddr();
               Object other$datasystemAddr = other.getDatasystemAddr();
               if (this$datasystemAddr == null) {
                  if (other$datasystemAddr != null) {
                     return false;
                  }
               } else if (!this$datasystemAddr.equals(other$datasystemAddr)) {
                  return false;
               }

               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorDashBoardDetailEntity;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $time = this.getTime();
      result = result * 59 + ($time == null ? 43 : $time.hashCode());
      Object $desc = this.getDesc();
      result = result * 59 + ($desc == null ? 43 : $desc.hashCode());
      Object $sql = this.getSql();
      result = result * 59 + ($sql == null ? 43 : $sql.hashCode());
      long $timeDiff = this.getTimeDiff();
      result = result * 59 + (int)($timeDiff >>> 32 ^ $timeDiff);
      Object $datasystemName = this.getDatasystemName();
      result = result * 59 + ($datasystemName == null ? 43 : $datasystemName.hashCode());
      Object $datasystemAddr = this.getDatasystemAddr();
      result = result * 59 + ($datasystemAddr == null ? 43 : $datasystemAddr.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceMonitorDashBoardDetailEntity(time=" + this.getTime() + ", desc=" + this.getDesc() + ", sql=" + this.getSql() + ", timeDiff=" + this.getTimeDiff() + ", datasystemName=" + this.getDatasystemName() + ", datasystemAddr=" + this.getDatasystemAddr() + ")";
   }
}
